IntrospectorCacheImpl (Velocity 1.7 API)
Keywords: org.apache.velocity.util.introspection.IntrospectorCacheImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.util.introspection
Class IntrospectorCacheImpl

    java.lang.Object
      org.apache.velocity.util.introspection.IntrospectorCacheImpl

All Implemented Interfaces:
  IntrospectorCache

public final class IntrospectorCacheImpl
extends Object
implements IntrospectorCache

This is the internal introspector cache implementation.

Since:
  1.5
Version:
  $Id: IntrospectorCacheImpl.java 898032 2010-01-11 19:51:03Z nbubna $
Author:
  Henning P. Schmiedehausen

Field Summary
`static String` | `CACHEDUMP_MSG` define a public string so that it can be looked for if interested

Constructor Summary
`IntrospectorCacheImpl(Log log)` C'tor

Method Summary
`void` | `clear()` Clears the internal cache.
`ClassMap` | `get(Class c)` Lookup a given Class object in the cache.
`ClassMap` | `put(Class c)` Creates a class map for specific class and registers it in the cache.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CACHEDUMP_MSG

    public static final String CACHEDUMP_MSG

  define a public string so that it can be looked for if interested

  See Also:
    Constant Field Values

Constructor Detail

### IntrospectorCacheImpl

    public IntrospectorCacheImpl(Log log)

  C'tor

Method Detail

### clear

    public void clear()

  Clears the internal cache.

  Specified by:
    `clear` in interface `IntrospectorCache`

### get

    public ClassMap get(Class c)

  Lookup a given Class object in the cache. If it does not exist, check whether this is due to a class change and purge the caches eventually.

  Specified by:
    `get` in interface `IntrospectorCache`
  Parameters:
    `c` - The class to look up.
  Returns:
    A ClassMap object or null if it does not exist in the cache.

### put

    public ClassMap put(Class c)

  Creates a class map for specific class and registers it in the cache. Also adds the qualified name to the name->class map for later Classloader change detection.

  Specified by:
    `put` in interface `IntrospectorCache`
  Parameters:
    `c` - The class for which the class map gets generated.
  Returns:
    A ClassMap object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.